<?php

namespace App\Services\Auth\Contracts;

use App\Models\User;
use Illuminate\Http\Request;

interface AuthServiceInterface
{
    public function attemptLogin(array $credentials, Request $request): array;

    public function logout(Request $request): void;

    public function getRedirectRouteForUser(User $user): string;

    public function forgotPassword(string $email): array;
}